package holmos.webtest.junitextentions.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * junit的扩展方法，添加此注解，那么在运行此方法的时候会新开一个线程去运行
 * 要求:<br>
 * <li>方法必须是public void类型,可以有参数</li>
 * <li>新开线程之后,所有的@Before方法和@After方法都会在这个新开的进程中运行</li>
 * <li>此测试方法抛出异常不会影响其他方法的运行,其他方法扔在原来线程里面运行</li>
 * */
@Retention(RetentionPolicy.RUNTIME)
public @interface MultiThread {
	
}
